> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

The Hobbo API uses API keys for authentication. Create, manage, and learn more about API keys in your account settings.

⚠️ **Remember that your API key is a secret!** Do not share it with others or expose it in any client-side code (browsers, apps). API keys should be securely loaded from an environment variable or key management service on the server.

API keys should be provided via the `x-api-key` header:

```bash theme={null}
x-api-key: HOBBO_API_KEY
```

### Example Request

```bash theme={null}
curl https://api.hobbo.ai/{ENDPOINT} \
  -H "x-api-key: $HOBBO_API_KEY"
```

Usage from these API requests counts as usage for the specified organization and project. Organization IDs can be found on your account settings page.

All API endpoints are authenticated using API keys and picked up from the specification file.
